
# DO NOT EDIT THIS FILE -- AUTOGENERATED BY PANTS
# Target: src/mitol/common:mitol-django-common

from setuptools import setup

setup(**{
    'authors': [
        'MIT Office of Open Learning <mitx-devops@mit.edu>',
    ],
    'classifiers': [
        'Natural Language :: English',
        'Operating System :: OS Independent',
        'Programming Language :: Python',
        'Programming Language :: Python :: 3.6',
        'Programming Language :: Python :: 3.7',
        'Programming Language :: Python :: 3.8',
    ],
    'description': 'MIT Open Learning django app extensions for common utilities',
    'install_requires': (
        'django-redis~=5.0.0',
        'django-webpack-loader>=0.7.0',
        'django<4.0,>=2.2.12',
        'factory-boy~=3.2',
        'pytest>=7.0.0',
        'pytz>=2020.4',
        'requests>=2.20.0',
        'setuptools',
        'typing-extensions',
    ),
    'license': 'BSD 3-Clause License',
    'long_description': """mitol-django-common
---

This is the Open Learning Django Common app. It provides common functionality used across all our applications.

### Getting started

`pip install mitol-django-common`


### Configuration

- `MITOL_COMMON_USER_FACTORY` - (optional) set to the fully qualified path for a user model factory, otherwise a default based on `django.contrib.auth.models.User` is used
""",
    'long_description_content_type': 'text/markdown',
    'name': 'mitol-django-common',
    'namespace_packages': (
        'mitol',
    ),
    'package_data': {
        'mitol.common': (
            'CHANGELOG.md',
            'README.md',
            'py.typed',
        ),
    },
    'packages': (
        'mitol',
        'mitol.common',
        'mitol.common.factories',
        'mitol.common.management',
        'mitol.common.management.commands',
        'mitol.common.settings',
        'mitol.common.templatetags',
        'mitol.common.utils',
    ),
    'python_requires': '>=3.8',
    'version': '2023.6.27.1',
    'zip_safe': True,
})
